Bug 976577 - [abrt] kernel BUG at include/drm/drm_mm.h:100!
[abrt] kernel BUG at include/drm/drm_mm.h:100!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:0d13a24cc9892465bbd0cba22d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 17:32 EDT by Francis Shim
Modified: 2014-02-05 16:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:53:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (76.17 KB, text/plain)
2013-06-20 17:32 EDT, Francis Shim
no flags Details

  None (edit)
Description Francis Shim 2013-06-20 17:32:29 EDT
Description of problem:
1) Just installed Fedora 18 on my Lenovo T60p laptop
2) Logged in as root on terminal screen 2 (ctrl-alt-f2)
3) yum check-update and then yum update
4) Let the update complete
5) Reboot
6) The GDM login background comes up, but the entire system freezes and cannot switch terminal screens and the list of logins does not appear.

Additional info:
reporter:       libreport-2.1.4
kernel BUG at include/drm/drm_mm.h:100!
invalid opcode: 0000 [#1] SMP 
Modules linked in: ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep acpi_cpufreq mperf coretemp i2c_i801 microcode iTCO_wdt iTCO_vendor_support btusb arc4 snd_hda_codec_analog snd_hda_intel snd_hda_codec iwl3945 snd_hwdep iwlegacy snd_seq mac80211 snd_seq_device cfg80211 of_i2c snd_pcm irda bluetooth lpc_ich crc_ccitt thinkpad_acpi rfkill snd_page_alloc snd_timer snd soundcore tpm_tis tpm tpm_bios kvm uinput radeon i2c_algo_bit drm_kms_helper ttm drm e1000e i2c_core yenta_socket ptp pps_core video sunrpc
Pid: 1099, comm: gnome-shell Not tainted 3.9.6-200.fc18.i686 #1 LENOVO 8744J2U/8744J2U
EIP: 0060:[<f834b038>] EFLAGS: 00210246 CPU: 0
EIP is at drm_mm_hole_node_start.part.3+0x3/0xfcb [drm]
EAX: f5da7380 EBX: f5da7380 ECX: f5da7380 EDX: f82c036a
ESI: f82c036a EDI: 00000001 EBP: f1407b74 ESP: f1407b74
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 8005003b CR2: 9f4cf000 CR3: 31dd7000 CR4: 000007d0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
Process gnome-shell (pid: 1099, ti=f1406000 task=f1fe8000 task.ti=f1406000)
Stack:
 f1407bac f833e1e7 f82b9954 00000000 00000000 00000006 00200246 f2b9802c
 f3b5e4cc 00000001 f1407bbc f5da7380 f82c036a 00000001 f1407bbc f82be0f7
 f2b9802c f3b5e4cc f1407c40 f82b926a f82bf554 00010000 00000000 00000001
Call Trace:
 [<f833e1e7>] drm_mm_debug_table+0x67/0x110 [drm]
 [<f82b9954>] ? ttm_bo_mem_space+0x294/0x330 [ttm]
 [<f82be0f7>] ttm_bo_man_debug+0x27/0x38 [ttm]
 [<f82b926a>] ttm_mem_evict_first+0x3fa/0x410 [ttm]
 [<f82b9954>] ttm_bo_mem_space+0x294/0x330 [ttm]
 [<f82b9aa3>] ttm_bo_move_buffer+0xb3/0x120 [ttm]
 [<f82b00c2>] ? ti12xx_override+0x242/0xaf0 [yenta_socket]
 [<f82b9bb0>] ttm_bo_validate+0xa0/0x110 [ttm]
 [<f846dbfb>] radeon_bo_list_validate+0x6b/0xc0 [radeon]
 [<f848282d>] radeon_cs_ioctl+0x46d/0x870 [radeon]
 [<c0472a85>] ? __dequeue_entity+0x25/0x40
 [<f84823c0>] ? radeon_cs_finish_pages+0xc0/0xc0 [radeon]
 [<f8334c82>] drm_ioctl+0x422/0x480 [drm]
 [<f84823c0>] ? radeon_cs_finish_pages+0xc0/0xc0 [radeon]
 [<c0496c1b>] ? futex_wake+0xeb/0x110
 [<c04988bb>] ? do_futex+0xeb/0x960
 [<f8334860>] ? drm_copy_field+0x80/0x80 [drm]
 [<c0559c47>] do_vfs_ioctl+0x77/0x590
 [<c062cf7a>] ? inode_has_perm.isra.32.constprop.63+0x3a/0x50
 [<c062e788>] ? file_has_perm+0x98/0xb0
 [<c062eb88>] ? selinux_file_ioctl+0x48/0xe0
 [<c055a1cb>] sys_ioctl+0x6b/0x80
 [<c099388d>] sysenter_do_call+0x12/0x28
Code: 5f 27 ff ff b9 00 01 00 00 31 d2 b8 e2 00 00 00 c7 04 24 6e 55 35 f8 e8 87 30 20 c8 b8 74 b4 35 f8 e8 5d a3 33 c8 c9 c3 55 89 e5 <0f> 0b 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
EIP: [<f834b038>] drm_mm_hole_node_start.part.3+0x3/0xfcb [drm] SS:ESP 0068:f1407b74
Comment 1 Francis Shim 2013-06-20 17:32:35 EDT
Created attachment 763600 [details]
File: dmesg
Comment 2 darko topolsek 2013-06-23 03:34:39 EDT
Description of problem:
installed firmware updates for intel wireless adapter

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.6-200.fc18.i686 root=/dev/mapper/fedora_natasa--thinkpad--t60p-root ro rd.md=0 rd.dm=0 rd.lvm.lv=fedora_natasa-thinkpad-t60p/swap rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora_natasa-thinkpad-t60p/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.6-200.fc18.i686
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
kernel BUG at include/drm/drm_mm.h:100!
invalid opcode: 0000 [#1] SMP 
Modules linked in: fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi acpi_cpufreq mperf coretemp iTCO_wdt iTCO_vendor_support microcode arc4 joydev iwl3945 i2c_i801 lpc_ich iwlegacy snd_hda_codec_analog of_i2c snd_hda_intel snd_hda_codec snd_hwdep snd_seq nsc_ircc mac80211 snd_seq_device cfg80211 snd_pcm snd_page_alloc thinkpad_acpi snd_timer irda snd soundcore rfkill crc_ccitt kvm uinput radeon i2c_algo_bit drm_kms_helper ttm yenta_socket drm e1000e ptp i2c_core pps_core video sunrpc
Pid: 1246, comm: gnome-shell Not tainted 3.9.6-200.fc18.i686 #1 LENOVO 2007FBG/2007FBG
EIP: 0060:[<f84f0038>] EFLAGS: 00210246 CPU: 0
EIP is at drm_mm_hole_node_start.part.3+0x3/0xfcb [drm]
EAX: f5c8d600 EBX: f5c8d600 ECX: f5c8d600 EDX: f843436a
ESI: f843436a EDI: 00000001 EBP: f0d45b74 ESP: f0d45b74
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 8005003b CR2: a3261000 CR3: 30d35000 CR4: 000007d0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
Process gnome-shell (pid: 1246, ti=f0d44000 task=f0d48cc0 task.ti=f0d44000)
Stack:
 f0d45bac f84e31e7 f842d954 00000000 00000000 00000006 00200246 f041322c
 f6adc4cc 00000001 f0d45bbc f5c8d600 f843436a 00000001 f0d45bbc f84320f7
 f041322c f6adc4cc f0d45c40 f842d26a f8433554 00010000 00000000 00000001
Call Trace:
 [<f84e31e7>] drm_mm_debug_table+0x67/0x110 [drm]
 [<f842d954>] ? ttm_bo_mem_space+0x294/0x330 [ttm]
 [<f84320f7>] ttm_bo_man_debug+0x27/0x38 [ttm]
 [<f842d26a>] ttm_mem_evict_first+0x3fa/0x410 [ttm]
 [<f842d954>] ttm_bo_mem_space+0x294/0x330 [ttm]
 [<f842daa3>] ttm_bo_move_buffer+0xb3/0x120 [ttm]
 [<f84300c2>] ? ttm_base_object_lookup+0xa2/0xb0 [ttm]
 [<f842dbb0>] ttm_bo_validate+0xa0/0x110 [ttm]
 [<f8665bfb>] radeon_bo_list_validate+0x6b/0xc0 [radeon]
 [<f867a82d>] radeon_cs_ioctl+0x46d/0x870 [radeon]
 [<c044ef7c>] ? update_process_times+0x5c/0x70
 [<f867a3c0>] ? radeon_cs_finish_pages+0xc0/0xc0 [radeon]
 [<f84d9c82>] drm_ioctl+0x422/0x480 [drm]
 [<f867a3c0>] ? radeon_cs_finish_pages+0xc0/0xc0 [radeon]
 [<c046e1a5>] ? scheduler_tick+0xd5/0x100
 [<c044ef7c>] ? update_process_times+0x5c/0x70
 [<c068b690>] ? timerqueue_add+0x50/0xb0
 [<f84d9860>] ? drm_copy_field+0x80/0x80 [drm]
 [<c0559c47>] do_vfs_ioctl+0x77/0x590
 [<c062cf7a>] ? inode_has_perm.isra.32.constprop.63+0x3a/0x50
 [<c062e788>] ? file_has_perm+0x98/0xb0
 [<c062eb88>] ? selinux_file_ioctl+0x48/0xe0
 [<c055a1cb>] sys_ioctl+0x6b/0x80
 [<c099388d>] sysenter_do_call+0x12/0x28
Code: 5f 27 ff ff b9 00 01 00 00 31 d2 b8 e2 00 00 00 c7 04 24 6e a5 4f f8 e8 87 e0 05 c8 b8 74 04 50 f8 e8 5d 53 19 c8 c9 c3 55 89 e5 <0f> 0b 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
EIP: [<f84f0038>] drm_mm_hole_node_start.part.3+0x3/0xfcb [drm] SS:ESP 0068:f0d45b74
Comment 3 Alexandre Franke 2013-07-19 04:25:08 EDT
Duplicate of bug 967282.
Comment 4 Fedora End Of Life 2013-12-21 09:05:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:53:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.